header: sys-select.h
macros: []
types:
  - type_name: struct_timeval
  - type_name: struct_timespec
  - type_name: suseconds_t
  - type_name: sigset_t
  - type_name: time_t
  - type_name: fd_set
enums: []
objects: []
functions:
  - name: select
    standards: 
      - POSIX
    return_type: int
    arguments:
      - type: int
      - type: fd_set *__restrict
      - type: fd_set *__restrict
      - type: fd_set *__restrict
      - type: struct timeval *__restrict
